<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>
	
	<HTML>
<head>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		
<%
String matricula=request.getParameter("Matricula");
      if (matricula==null || matricula.equals("NULL")){
          matricula="";}
String Taller=request.getParameter("Codigo");
      if (Taller==null || Taller.equals("NULL")){
          Taller="";

      }
	String persona = (String) session.getAttribute("persona");
      
    	m05bFileLog miLog = new m05bFileLog();
      
%>
	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
	
  <title><%= resTit.getString("titVehReformas")%></title>
<script language="JavaScript">
function fncNuevo() {
       		formReformas.action="m05bReformasJsp.jsp?Codigo=&Mensaje=false&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
       		formReformas.submit();
	}
	function fncModificar(codigo) {
            formReformas.action="m05bGenerarReformasServlet?Codigo=" + codigo + "&Mensaje=false&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
            formReformas.submit();
    }
</SCRIPT>
</head>
<BODY  style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_REFORMAS%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_REFORMAS%>";	 	 
</script>			

<%@include file="m05bVehiculosFijo.inc"%>	
	
<FORM NAME="formReformas" METHOD="POST">
<%int contador=0;%>    
	
<%
StringBuffer sql = new StringBuffer();

String Fecha="";
String TipReforma="";
String Marca="";
String Num="";
String Observ="";
String Cod="";

//m05bComun comun = new m05bComun();

sql.append("SELECT ").append(m05bConstantes.COL_37_FECHA).append(",");
sql.append(m05bConstantes.COL_37_MARCA).append(",");
sql.append ("NVL("+ campoTexto+m05bConstantes.COL_38_DESC+","+m05bConstantes.COL_38_DESC+") as ");
sql.append(campoTexto).append(m05bConstantes.COL_38_DESC);
sql.append(",").append(m05bConstantes.COL_37_NUMERO).append(",").append(m05bConstantes.COL_37_CODIGO);
sql.append(",").append(m05bConstantes.COL_37_OBSERV).append(",").append(m05bConstantes.COL_30_DESCRIP);
sql.append(" FROM ").append(m05bConstantes.TAB_REFORMAS).append(",").append(m05bConstantes.TAB_TALLER);
sql.append(",").append(m05bConstantes.TAB_TIPOREFORMAS);
sql.append(" WHERE ").append(m05bConstantes.COL_37_MATRICULA);
sql.append("='").append(matricula).append("'").append(" AND ").append(m05bConstantes.COL_37_TALLER);
sql.append("=").append(m05bConstantes.COL_30_CODIGO).append("(+) AND ").append(m05bConstantes.COL_38_CODIGO);
sql.append("(+)=").append(m05bConstantes.COL_37_TIPO);

	if ( (Taller == null) || (Taller.equals("") ))
		sql = sql;
	else {	
		sql.append( " and upper(" ).append(m05bConstantes.COL_30_DESCRIP).append(") like upper('").append(Taller).append("%')");
		}
 miLog.addTraza(persona , "m05b - VehReformasJsp:  " , sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);
		
%>

    <% if ((!(situacion.equals("B"))) && (sExisteMatricula.equals("1")) ) {%>


  	<TABLE class="general">

	    <tr>
	      <td align=right> 
	        <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/--> 
            <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />				      	        
	      </td>
		</tr>
  </TABLE>
					 <TABLE class="general" width="20%">
						 <tr>
							  <td class="searchTitle"><%= res.getString("etBuscarTaller")%> </td>
						</tr>
						 <tr>
							  <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Tall" size="20" maxlength="20" value="<%=Taller%>" onBlur="javascript:fncBuscar();"/> </td>
						</tr>
					 </TABLE>
  			
  <%}%>
  <TABLE class="general">
    <tr>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFecha")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etTipoReforma")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etMarca")%>,<%= res.getString("etModelo")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etNumero")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etTaller")%></td>
      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etObservacion")%></td>
    </tr>
    <%
        try {
           if (!matricula.equals("")){
	           //m05bbBeginSelect(sql.toString());
	           //m05bRS = m05bPStmt.executeQuery();
               conexion = miConexion.getConnection();
               conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
               pstmt2 = conexion.prepareStatement(sql.toString());
		       rs2 = pstmt2.executeQuery();
	           while (rs2.next() == true){
                   contador=contador + 1;
	               Cod=rs2.getString(m05bConstantes.COL_37_CODIGO);
	               Fecha=rs2.getString(m05bConstantes.COL_37_FECHA);
	               TipReforma=rs2.getString(campoTexto+m05bConstantes.COL_38_DESC);
	               if (TipReforma==null) {
	                   TipReforma="";
	               }
	               
	               Marca=rs2.getString(m05bConstantes.COL_37_MARCA);
	               Num=rs2.getString(m05bConstantes.COL_37_NUMERO);
	               Taller=rs2.getString(m05bConstantes.COL_30_DESCRIP);
	               if (Taller==null) {
	                   Taller="";
	               }
	               %>
	               <%
	               if (Fecha==null || Fecha.equals(""))
	                   Fecha="";
	               else
	                   Fecha=comun.Mes(Fecha,campoTexto3);
	               Observ=rs2.getString(m05bConstantes.COL_37_OBSERV);

	               if (Observ==null) {
	                   Observ="";
	               }
	               if (Marca==null )  {
	               	   Marca="";
	               }
	               if (Num==null)  {
	                   Num="";
	               }
	               %>
	    <tr>
	      <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=Cod%>')"><%=Cod%></A></td>
	      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Fecha%></td>
	      <td valign="top" align="left" class="inputFieldTitleBlank"><%=TipReforma%></td>
	      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Marca%></td>
	      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Num%></td>
	      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Taller%></td>
	      <td valign="top" align="left" class="inputFieldTitleBlank"><%=Observ%></td>
	    </tr>
	           <%}  // Fin while
     	//m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
     	
    }
  }
  catch (Exception SQLException){
   miLog.addTraza(SQLException);
   m05bEndSelect();
  }
    %>

  </TABLE>
  	  
  	<TABLE class="general">
	<tr> </tr>
	<tr align="center">
    	<td class="inputField" colspan="7"><%= res.getString("etTotal")%><%=contador%></td>
	</tr>
	<tr> </tr>
  		
	  </TABLE>
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<script>		  
    function fncBuscar() {
		var docu = document.formReformas;
		if(existeCaracter(docu.Tall.value,"\'")||existeCaracter(docu.Tall.value,'\"')){
 			alert(dameAlerta(idioma, 1));
 			docu.Tall.focus();
 			return;
 		}
        docu.action="m05bVehReformasJsp.jsp?Matricula="+"<%=matricula%>"+"&Codigo="+docu.Tall.value;
        docu.submit();
    }    
</script>		  
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabReformas=document.getElementById("tabReformas");
   
   tabReformas.style.backgroundColor="#000078"	;
</SCRIPT>
</div>			
</BODY>
</HTML>